Package com.ngrok.definitions

# Class EndpointIpPolicyMutate.Builder

java.lang.Object
com.ngrok.definitions.EndpointIpPolicyMutate.Builder

Enclosing class:
  EndpointIpPolicyMutate

public static class EndpointIpPolicyMutate.Builder extends Object
Builder class for `EndpointIpPolicyMutate`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EndpointIpPolicyMutate`
  `build()`
  Constructs the `EndpointIpPolicyMutate` instance.
  `EndpointIpPolicyMutate.Builder`
  `enabled(boolean enabled)`
  `true` if the module will be applied to traffic, `false` to disable.
  `EndpointIpPolicyMutate.Builder`
  `enabled(Optional<Boolean> enabled)`
  `true` if the module will be applied to traffic, `false` to disable.
  `EndpointIpPolicyMutate.Builder`
  `ipPolicyIds(List<String> ipPolicyIds)`
  list of all IP policies that will be used to check if a source IP is allowed access to the endpoint
  `EndpointIpPolicyMutate.Builder`
  `ipPolicyIds(Optional<List<String>> ipPolicyIds)`
  list of all IP policies that will be used to check if a source IP is allowed access to the endpoint

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### enabled

    public EndpointIpPolicyMutate.Builder enabled(boolean enabled)
    `true` if the module will be applied to traffic, `false` to disable. default `true` if unspecified
    Parameters:
      `enabled` - the value of the `enabled` parameter as a `boolean`
    Returns:
      this builder instance

  - ### enabled

    public EndpointIpPolicyMutate.Builder enabled(Optional<Boolean> enabled)
    `true` if the module will be applied to traffic, `false` to disable. default `true` if unspecified
    Parameters:
      `enabled` - the value of the `enabled` parameter as a `boolean`, wrapped in an `Optional`
    Returns:
      this builder instance

  - ### ipPolicyIds

    public EndpointIpPolicyMutate.Builder ipPolicyIds(List<String> ipPolicyIds)
    list of all IP policies that will be used to check if a source IP is allowed access to the endpoint
    Parameters:
      `ipPolicyIds` - the value of the `ip_policy_ids` parameter as a `List` of `String`
    Returns:
      this builder instance

  - ### ipPolicyIds

    public EndpointIpPolicyMutate.Builder ipPolicyIds(Optional<List<String>> ipPolicyIds)
    list of all IP policies that will be used to check if a source IP is allowed access to the endpoint
    Parameters:
      `ipPolicyIds` - the value of the `ip_policy_ids` parameter as a `List` of `String`, wrapped in an `Optional`
    Returns:
      this builder instance

  - ### build

    public EndpointIpPolicyMutate build()
    Constructs the `EndpointIpPolicyMutate` instance.
    Returns:
      a new `EndpointIpPolicyMutate`